Axis2/C: http server thread

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# http server thread
[http transport]

## Files
file | axis2_http_svr_thread.h
| axis2 HTTP server listning thread implementation

## Typedefs
typedef struct axis2_http_svr_thread | axis2_http_svr_thread_t
## Functions
AXIS2_EXTERN axis2_status_t | axis2_http_svr_thread_run (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_svr_thread_destroy (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_http_svr_thread_get_local_port (const axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_http_svr_thread_is_running (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_svr_thread_set_worker (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env, axis2_http_worker_t *worker)
AXIS2_EXTERN void | axis2_http_svr_thread_free (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_svr_thread_t * | axis2_http_svr_thread_create (const axutil_env_t *env, int port)

## Typedef Documentation

typedef struct axis2_http_svr_thread axis2_http_svr_thread_t

Type name for struct axist_http_svr_thread

## Function Documentation

AXIS2_EXTERN axis2_http_svr_thread_t* axis2_http_svr_thread_create | ( | const axutil_env_t * | env,
|  | int | port |
| ) |  |  |

Parameters:

  | env | pointer to environment struct
  | port |

AXIS2_EXTERN axis2_status_t axis2_http_svr_thread_destroy | ( | axis2_http_svr_thread_t * | svr_thread,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_thread | pointer to server thread
  | env | pointer to environment struct

AXIS2_EXTERN void axis2_http_svr_thread_free | ( | axis2_http_svr_thread_t * | svr_thread,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_thread | pointer to server thread
  | env | pointer to environment struct

AXIS2_EXTERN int axis2_http_svr_thread_get_local_port | ( | const axis2_http_svr_thread_t * | svr_thread,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_thread | pointer to server thread
  | env | pointer to environment struct

AXIS2_EXTERN axis2_bool_t axis2_http_svr_thread_is_running | ( | axis2_http_svr_thread_t * | svr_thread,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_thread | pointer to server thread
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_http_svr_thread_run | ( | axis2_http_svr_thread_t * | svr_thread,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | svr_thread | pointer to server thread
  | env | pointer to environment struct

AXIS2_EXTERN axis2_status_t axis2_http_svr_thread_set_worker | ( | axis2_http_svr_thread_t * | svr_thread,
|  | const axutil_env_t * | env,
|  | axis2_http_worker_t * | worker |
| ) |  |  |

Parameters:

  | svr_thread | pointer to server thread
  | env | pointer to environment struct
  | worker | pointer to worker